org.wso2.carbon.logging.admin.stub

## Class LoggingAdminCallbackHandler

- java.lang.Object
- - org.wso2.carbon.logging.admin.stub.LoggingAdminCallbackHandler

-     public abstract class LoggingAdminCallbackHandler
      extends Object

  LoggingAdminCallbackHandler Callback class, Users can extend this class and implement their own receiveResult and receiveError methods.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Object` | `clientData`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoggingAdminCallbackHandler()` Please use this constructor if you don't want to set any clientData
    `LoggingAdminCallbackHandler(Object clientData)` User can pass in any object that needs to be accessed once the NonBlocking Web service call is finished and appropriate method of this CallBack is called.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getClientData()` Get the client data
    `void` | `receiveErrorgetAllLoggerData(Exception e)` auto generated Axis2 Error handler override this method for handling error response from getAllLoggerData operation
    `void` | `receiveErrorgetAppenderData(Exception e)` auto generated Axis2 Error handler override this method for handling error response from getAppenderData operation
    `void` | `receiveErrorgetLoggerData(Exception e)` auto generated Axis2 Error handler override this method for handling error response from getLoggerData operation
    `void` | `receiveErrorgetSyslogData(Exception e)` auto generated Axis2 Error handler override this method for handling error response from getSyslogData operation
    `void` | `receiveErrorgetSystemLog(Exception e)` auto generated Axis2 Error handler override this method for handling error response from getSystemLog operation
    `void` | `receiveErrorisStratosService(Exception e)` auto generated Axis2 Error handler override this method for handling error response from isStratosService operation
    `void` | `receiveErrorremoveSyslogPattern(Exception e)` auto generated Axis2 Error handler override this method for handling error response from removeSyslogPattern operation
    `void` | `receiveResultgetAllLoggerData(LoggerData[] result)` auto generated Axis2 call back method for getAllLoggerData method override this method for handling normal response from getAllLoggerData operation
    `void` | `receiveResultgetAppenderData(AppenderData result)` auto generated Axis2 call back method for getAppenderData method override this method for handling normal response from getAppenderData operation
    `void` | `receiveResultgetLoggerData(LoggerData result)` auto generated Axis2 call back method for getLoggerData method override this method for handling normal response from getLoggerData operation
    `void` | `receiveResultgetSyslogData(SyslogData result)` auto generated Axis2 call back method for getSyslogData method override this method for handling normal response from getSyslogData operation
    `void` | `receiveResultgetSystemLog(LogData result)` auto generated Axis2 call back method for getSystemLog method override this method for handling normal response from getSystemLog operation
    `void` | `receiveResultisStratosService(boolean result)` auto generated Axis2 call back method for isStratosService method override this method for handling normal response from isStratosService operation
    `void` | `receiveResultremoveSyslogPattern(String result)` auto generated Axis2 call back method for removeSyslogPattern method override this method for handling normal response from removeSyslogPattern operation

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### clientData

          protected Object clientData

  - ### Constructor Detail

    - #### LoggingAdminCallbackHandler

          public LoggingAdminCallbackHandler(Object clientData)

      User can pass in any object that needs to be accessed once the NonBlocking Web service call is finished and appropriate method of this CallBack is called.
      Parameters:
        `clientData` - Object mechanism by which the user can pass in user data that will be avilable at the time this callback is called.

    - #### LoggingAdminCallbackHandler

          public LoggingAdminCallbackHandler()

      Please use this constructor if you don't want to set any clientData

  - ### Method Detail

    - #### getClientData

          public Object getClientData()

      Get the client data

    - #### receiveResultremoveSyslogPattern

          public void receiveResultremoveSyslogPattern(String result)

      auto generated Axis2 call back method for removeSyslogPattern method override this method for handling normal response from removeSyslogPattern operation

    - #### receiveErrorremoveSyslogPattern

          public void receiveErrorremoveSyslogPattern(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from removeSyslogPattern operation

    - #### receiveResultisStratosService

          public void receiveResultisStratosService(boolean result)

      auto generated Axis2 call back method for isStratosService method override this method for handling normal response from isStratosService operation

    - #### receiveErrorisStratosService

          public void receiveErrorisStratosService(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from isStratosService operation

    - #### receiveResultgetLoggerData

          public void receiveResultgetLoggerData(LoggerData result)

      auto generated Axis2 call back method for getLoggerData method override this method for handling normal response from getLoggerData operation

    - #### receiveErrorgetLoggerData

          public void receiveErrorgetLoggerData(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from getLoggerData operation

    - #### receiveResultgetAppenderData

          public void receiveResultgetAppenderData(AppenderData result)

      auto generated Axis2 call back method for getAppenderData method override this method for handling normal response from getAppenderData operation

    - #### receiveErrorgetAppenderData

          public void receiveErrorgetAppenderData(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from getAppenderData operation

    - #### receiveResultgetSystemLog

          public void receiveResultgetSystemLog(LogData result)

      auto generated Axis2 call back method for getSystemLog method override this method for handling normal response from getSystemLog operation

    - #### receiveErrorgetSystemLog

          public void receiveErrorgetSystemLog(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from getSystemLog operation

    - #### receiveResultgetSyslogData

          public void receiveResultgetSyslogData(SyslogData result)

      auto generated Axis2 call back method for getSyslogData method override this method for handling normal response from getSyslogData operation

    - #### receiveErrorgetSyslogData

          public void receiveErrorgetSyslogData(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from getSyslogData operation

    - #### receiveResultgetAllLoggerData

          public void receiveResultgetAllLoggerData(LoggerData[] result)

      auto generated Axis2 call back method for getAllLoggerData method override this method for handling normal response from getAllLoggerData operation

    - #### receiveErrorgetAllLoggerData

          public void receiveErrorgetAllLoggerData(Exception e)

      auto generated Axis2 Error handler override this method for handling error response from getAllLoggerData operation

Copyright © 2017 WSO2. All rights reserved.